<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" >
	<script src="http://maps.google.com/maps/api/js?sensor=false"><!-- --></script>

	<script>
//		window.onload = load;
		window.addEventListener('load', load, false);			// 8.3.0.0 (2022/08/01)
		var map;
		var icon;
		// 初期表示
		function load(){
			// 地図中央の指定
			var latlng	= new google.maps.LatLng("{@IDO}","{@KEIDO}");
			// ｽｹｰﾙの指定
			var scale	= Number("{@SCALE}");
			var myOptions = {
				zoom: scale,
				center: latlng,
				mapTypeId: google.maps.MapTypeId.ROADMAP
			};

			// mapの設定
			map = new google.maps.Map(document.getElementById("map"),myOptions);

		}

		// ﾏｯﾌﾟの移動
		function move(IDO,KEIDO,SCALE){
			var latlng	= new google.maps.LatLng(IDO,KEIDO);
			var scale	= Number(SCALE);
			var myOptions = {
				zoom: scale,
				center: latlng,
				mapTypeId: google.maps.MapTypeId.ROADMAP
			};

			// mapの設定
			map = new google.maps.Map(document.getElementById("map"),myOptions);
		}

		// 京都
		function moveKyoto(){
			move("34.9859024","135.76013490000002",{@SCALE});
		}
		// 大阪
		function moveOsaka(){
			move("34.72906943087377","135.5152195935616",{@SCALE});
		}
		// 東京
		function moveTokyo(){
			move("35.6830156","139.76841680000007",{@SCALE});
		}
	</script>
</og:head>

<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "TEST04"
	title	= "GoogleMap"
	date	= "2015/09/05"
	author	= "Takahashi Masakazu"
	text	= ""
	version	= "001"
/>

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<form>
	<og:writeCheck>
		<og:submit value="京都" onClick="moveKyoto();" />
		<og:submit value="大阪" onClick="moveOsaka();" />
		<og:submit value="東京" onClick="moveTokyo();" />
		<br />
	</og:writeCheck>

	<div id="map" style="position:relative;left:30px; top:30px; width:700px;height:500px"></div>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>

